@import url('https://fonts.googleapis.com/css2?family=Lato:ital,wght@0,100;0,300;0,400;0,700;0,900;1,100;1,300;1,400;1,700;1,900&display=swap');

:root {
    --dark-blue: #122A58;
    --white: #fcfcfc;
    --black: #000000;

    --font-sm: 14px;
    --font-normal: 0.8rem;
    --font-md: 18px;
    --font-base: 1.2rem;
    --font-lg: 22px;
    --font-xl: 24px;
    --font-subtitle: 36px;
    --font-title: 40px;

    --font-family: "Lato", serif;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    scroll-behavior: smooth;
}

html {
    scroll-padding-top: 60px;
}

body {
    font-family: var(--font-family);
    overflow-x: hidden;
}

a {
    text-decoration: none;
    color: var(--black);
}


/* SCROLLBAR */
::-webkit-scrollbar {
    width: 0.6rem;
}

::-webkit-scrollbar-track {
    background: var(--dark-blue);
}

::-webkit-scrollbar-thumb {
    background: var(--white);
    border-radius: 0.6rem;
}


@media (max-width: 900px) {
    :root {
        --font-sm: 12px;
        --font-md: 16px;
        --font-base: 18px;
        --font-lg: 20px;
        --font-xl: 22px;
        --font-subtitle: 26px;
        --font-title: 30px;
    }
}

@media (max-width: 550px) {
    :root {
        --font-sm: 10px;
        --font-md: 14px;
        --font-base: 16px;
        --font-lg: 18px;
        --font-xl: 20px;
        --font-subtitle: 24px;
        --font-title: 26px;
    }
}
